Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class MQNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              com.sun.messaging.jms.management.server.MQNotification

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BrokerNotification, ClusterNotification, ConnectionNotification, DestinationNotification, LogNotification, ServiceNotification, TransactionNotification

    public class MQNotification

extends javax.management.Notification

Class containing information on cluster operations.

The MQ specific fields in this notification is TBD.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PREFIX` Prefix for all MQ notification type strings.

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`MQNotification(java.lang.String type, java.lang.Object source, long sequenceNumber)` Creates a MQNotification object.

Method Summary

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

  Prefix for all MQ notification type strings.

  See Also:
    Constant Field Values

Constructor Detail

### MQNotification

    public MQNotification(java.lang.String type,
                          java.lang.Object source,
                          long sequenceNumber)

  Creates a MQNotification object.

  Parameters:
    `type` - The notification type.
    `source` - The notification source.
    `sequenceNumber` - The notification sequence number within the source object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.